
%global meadversion 2.1.0
%global namedversion 2.1.0.Final-redhat-2
%global meadalpha .Final_redhat_2
%global meadrel .1
%global serial 5
%global namedversionrel redhat-2

%bcond_without mead
%bcond_with javadoc

%define mavengroup org.jboss.osgi.framework
%define artifact0 jbosgi-framework-parent
%define artifact1 jbosgi-framework-core

%global title JBossOSGi Framework

%define maven_version 2.1.0.Final-redhat-2

Name:           jbosgi-framework-core
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        %{title}
License:        LGPLv2+
Group:          Development/Java

%if %with mead
Source100: jbosgi-framework-parent-2.1.0.Final-redhat-2-scm-sources.zip
Source102: jbosgi-framework-parent-2.1.0.Final-redhat-2-project-sources.tar.gz
Source103: jbosgi-framework-parent-2.1.0.Final-redhat-2.pom
Source104: jbosgi-framework-core-2.1.0.Final-redhat-2-javadoc.jar
Source105: jbosgi-framework-core-2.1.0.Final-redhat-2.pom
Source106: jbosgi-framework-core-2.1.0.Final-redhat-2-sources.jar
Source107: jbosgi-framework-core-2.1.0.Final-redhat-2.jar
%endif

URL:            http://github.com/jbosgi/jbosgi-framework
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
#Requires:      jboss-parent >= 0:14.0.0
BuildRequires:  jboss-parent >= 0:14.0.0
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
%{title}

%if %with javadoc
%package javadoc
Summary:	Javadoc for %{title}
Group:          Development/Java

Requires:       jpackage-utils
BuildRequires:  jpackage-utils

%description javadoc
API documentation for %{title}.
%endif

%prep
%setup -q -n jbosgi-framework -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/%{artifact1}-%{namedversion}.jar %{buildroot}%{_javadir}/%{artifact1}-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/%{artifact1}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{artifact1}-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/%{artifact0}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{artifact0}.pom
%{__cp} -p %{_sourcedir}/%{artifact1}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{artifact1}.pom

# depmaps
%add_to_maven_depmap %{mavengroup} %{artifact0} %{namedversion} JPP %{artifact0}
%add_to_maven_depmap %{mavengroup} %{artifact1} %{namedversion} JPP %{artifact1}

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}
%{_bindir}/unzip -qq %{_sourcedir}/%{artifact1}-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{namedversion} -x META-INF/\*
%{__ln_s} %{name}-%{namedversion} %{buildroot}%{_javadocdir}/%{name}
%endif

%clean
%{__rm} -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt README.md
%{_javadir}/*.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{mavenversion}
%{_javadocdir}/%{name}
%endif

%changelog
* Fri Feb 06 2015 David Walluck <dwalluck@redhat.com> - 2.1.0-5.Final_redhat_2.1
- fix Group

* Fri Feb 06 2015 David Walluck <dwalluck@redhat.com> - 2.1.0-4.Final_redhat_2.1
- remove Requires: jboss-parent
- add license

* Thu Dec 18 2014 Lukas Kubik <lkubik@redhat.com> - 2.1.0-3.Final_redhat_2.1
- Use jboss-osgi-parent in version 1.0.15.redhat-3
  (use OSGi-compatible version string)
- Update dependency management for eap 6.4.0

* Wed Mar 20 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 2.1.0-2.Final_redhat_1
- Upgrade to 2.1.0.Final

* Tue Feb 19 2013 Lin Gao <lgao@redhat.com> - 2.1.0-1.CR12_redhat_1
- Upgrade to 2.1.0.CR12

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 1.3.1-3.CR1_redhat_1
- Rebuild for MD5

* Tue Sep 04 2012 Paul Gier <pgier@redhat.com> - 1.3.1-2.CR1_redhat_1
- Update pom patch to point to the current jboss-osgi-parent

* Thu Aug 16 2012 Lin Gao <lgao@redhat.com> - 1.3.1-1.CR1_redhat_1
- Upgrade to 1.3.1.CR1

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 1.3.0-1.Final_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 1.3.0-1.Final_redhat_1.1
- Rebuild using cache signing

* Thu May 03 2012 Lin Gao <lgao@redhat.com> - 0:1.3.0-1.Final_redhat_1
- Upgrade to 1.3.0.Final

* Thu Mar 29 2012 Lin Gao <lgao@redhat.com> - 0:1.2.0.Beta1-1_redhat_1
- Upgrade to 1.2.0.Beta1

* Wed Mar 14 2012 Lin Gao <lgao@redhat.com> - 0:1.1.8.Final-1_redhat_1.1
- Rebuild for new wrapper

* Fri Mar 02 2012 Lin Gao <lgao@redhat.com> - 0:1.1.8.Final-1_redhat_1
- Upgrade to 1.1.8.Final

* Fri Feb 17 2012 Lin Gao <lgao@redhat.com> - 0:1.1.5-1_redhat_1
- Upgrade to 1.1.5
- Requires jpackage-utils in javadoc
- change jar location

* Fri Feb 10 2012 Lin Gao <lgao@redhat.com> - 0:1.1.0-3_redhat_1
- rebuild for wrapper rpm

* Fri Feb 10 2012 Lin Gao <lgao@redhat.com> - 0:1.1.0-2_redhat_1
- re vman for pom patch
- wrappter rpm from mead

* Tue Nov 1 2011 Lin Gao <lgao@redhat.com> - 0:1.1.0-1
- upgrade to 1.1.0

* Fri Sep 16 2011 Yong Yang <yyang@redhat.com> - 0:1.0.0-1.CR8
- First build

* Tue May 24 2011 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-1
- Placeholder
